org.wso2.carbon.webapp.mgt.loader

## Class ClassloadingConfiguration

- java.lang.Object
- - org.wso2.carbon.webapp.mgt.loader.ClassloadingConfiguration

-     public class ClassloadingConfiguration
      extends Object

  Global ClassloadingConfiguration. Contains information specified in the webapp-classloading-environments.xml and webapp-classloading.xml. Individual webapps build their own Contexts based on this global configuration.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClassloadingConfiguration()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addDelegatedEnvironment(String name, CLEnvironment environment)`
    `void` | `addExclusiveEnvironment(String name, CLEnvironment environment)`
    `CLEnvironment` | `getDelegatedEnvironment(String name)`
    `String[]` | `getEnvironments()`
    `int` | `getEnvironmentsCount()`
    `CLEnvironment` | `getExclusiveEnvironment(String name)`
    `boolean` | `isParentFirst()`
    `void` | `setEnvironments(String[] environmentNames)`
    `void` | `setParentFirstBehaviour(boolean parentFirst)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClassloadingConfiguration

          public ClassloadingConfiguration()

  - ### Method Detail

    - #### addDelegatedEnvironment

          public void addDelegatedEnvironment(String name,
                                              CLEnvironment environment)

    - #### getDelegatedEnvironment

          public CLEnvironment getDelegatedEnvironment(String name)

    - #### addExclusiveEnvironment

          public void addExclusiveEnvironment(String name,
                                              CLEnvironment environment)

    - #### getExclusiveEnvironment

          public CLEnvironment getExclusiveEnvironment(String name)

    - #### getEnvironments

          public String[] getEnvironments()

    - #### getEnvironmentsCount

          public int getEnvironmentsCount()

    - #### isParentFirst

          public boolean isParentFirst()

    - #### setParentFirstBehaviour

          public void setParentFirstBehaviour(boolean parentFirst)

    - #### setEnvironments

          public void setEnvironments(String[] environmentNames)

Copyright © 2019 WSO2. All rights reserved.